# 管网系统设备分块
## 前置条件
    1. 项目下的模型文件已上传；
    2. 所有管网已正确连接；
    3. （非强制）通过模型检查：连接件检查、系统类型名称检查、管网及相关设备检查、管段检查

## 处理逻辑

    1. 获取所有当前项目project_id下的的有模型文件models； 表：revit.model_folder、revit.model_floor、revit.model_file
    2. 遍历models，获取model层的系统图systemGraphs；
        1. 获取model下所有的connector,connectors，表：revit.connector
        2. 获取model下所有的设备、部件、其它、风管、水管，连接头表：revit.equipment、revit.component、revit.other、revit.pipe、revit.duct、revit.joinObject
        3. 对connector连接件进行排序，按照设备优先的顺序排序，通过连接件的owner所属对象和connected_ids 和此对象连接的其他连接点，将设备和设备一一连接
        4. 将管道和other去除，joinObject看作一个虚设备，将设备和虚设备进行相连，虚设备再连接其他设备。
    4. 删除本项目下project_id、表revit_calc.（设备和设备关系）
    5. 将合并后的数据存入数据库，表：revit_calc.设备和设备关系


# 函数

<details>
<summary>源码</summary>

```

```

</details>


## 输入
    1. 项目id
    2. 需要计算的building_id，如果没有提供时请传入null，不能传""
## 返回结果
    True    成功
    False   失败
    
## 结果展示
![原模型图](img/1.png)
![抽象后的图](img/2.png)
![确定完流向的图](img/3.png)
![管网抽象结构图](img/4.png)
