# 开发文档
## reivt解析项目配置接口

#### 已开发 基础接口:  配置查询

请求地址

```
Post /project/jsonConfig/query
```
请求参数
```json
{
  //查询条件
  "Filters": "id = 'Pj4403070003'"
}
```
返回内容

```json
{
  "Content": [
    {
      "ConfigJson": {
        "CheckItems": "SagaCheck,UnitCheck,FamilyNameCheck",
        "EquipComponentCode": "构件分类编码",
        "FacilityParameters": "设备本地名称,设备本地编码,PropertyID,系统类型",
        "FloorServerUrl": "http://39.102.40.239:8080/revit-algorithm/model-floor/query",
        "MEPCurveParameters": "注释",
        "RoomParameters": "名称,编号,2.房间标准类型编码,3.房间标准类型名称",
        "SagaSign": "-wanda",
        "SpaceParameters": "名称,编号,2.空间标准类型编码,3.空间标准类型",
        "UseablePhaseName": "阶段1"
      },
      "Id": "Pj4403070003",
      "Name": "深圳龙岗万达广场"
    }
  ],
  "Message": "",
  "PageNumber": 1, //分页
  "PageSize": 50, //分页条数
  "Result": "success",
  "Total": 1 //总数
}
```


#### 已开发 基础接口:  配置添加

请求地址

```
Post /project/jsonConfig/create
```
请求参数
```json
{
  
  "Content": [
    {
      "ConfigJson": {
       
      },
      "Id": "string",   //项目Id
      "Name": "string", //项目名称
      "Type": "wanda"  //项目类型 ，万达项目须填wanda，其他项目可不填
    }
  ]
}
```
返回内容

```json
{
  "EntityList": [
    {
      "ConfigJson": {
       
      },
      "Id": "string",
      "Name": "string",
      "Type": "string"
    }
  ],
  "Message": "", 
  "Result": "success" //结果 fail或success
}
```


#### 已开发 基础接口: 配置修改 

请求地址
```
Post: /project/jsonConfig/update
```

请求参数
```json
{
  "Content": [
    {
      "ConfigJson": {
        
      },
      "Id": "string",
      "Name": "xxx",
      "Type": "xxx"
    }
  ]
}
```
返回内容

```json
{
  "Message": "",
  "Result": "success"
}
```

#### 已开发 基础接口: 配置删除

```
请求地址
```
GET: /project/jsonConfig/delete
```

请求参数
```json
[
  {
    
    "Id": "string"
  }
]
```
返回内容

```json
{
  "Message": "",
  "Result": "success"
}
```


json配置说明
```json
{   
    //revit 服务楼层 查询接口url
    "FloorServerUrl":"",
    // 轻量化程序地址
    "RevitSimplifyPath":"",
    // 输出文件夹
    "OutputDir":"output",
    //阶段
    "UseablePhaseName":"阶段1",
    //模型saga标记
    "SagaSign":"-wanda",
    //检查项（可选）支持的检查项 
        SagaCheck,UnitCheck,FamilyNameCheck,EquipPartLocationCheck,
        ColumnCheck,ElementRangeCheck,ConnectorCheck,SystemNameCheck,
        EquipInSpaceCheck,SystemReferEquipCheck,ParameterIntegrityCheck,
        PipeCheck,XYZOverlapCheck
    "CheckItems":"逗号分隔",
    //设备识别属性（可选）
    "FacilityParameters":"逗号分隔",
    //空间识别属性（可选）
    "SpaceParameters":"逗号分隔",
    //房间识别属性（可选）
    "RoomParameters":"逗号分隔",
    //注释（默认）
    "MEPCurveParameters":"注释",
    //设备构件码识别属性名
    "EquipComponentCode":"构件分类编码"
}

```

json配置范本
```json
{
    "FloorServerUrl":"http://39.102.40.239:8080/revit-algorithm/model-floor/query",
    "RevitSimplifyPath":"E:/revitcode/netcoreapp3.1/RevitSimplify.exe",
    "OutputDir":"output",
    "UseablePhaseName":"阶段1",
    "SagaSign":"-wanda",
    "CheckItems":"SagaCheck,UnitCheck,FamilyNameCheck",
    "FacilityParameters":"设备本地名称,设备本地编码,PropertyID",
    "SpaceParameters":"名称,编号,2.空间标准类型编码,3.空间标准类型",
    "RoomParameters":"名称,编号,2.房间标准类型编码,3.房间标准类型名称",
    "MEPCurveParameters":"注释",
    "EquipComponentCode":"构件分类编码"
}
```